<template>
    <div id="topline-head" class="d-flex flex-row">
        <div class="col d-flex align-items-center">
            <div class="topline-logo">
                <img src="../assets/logo_askip.png" />
            </div>
        </div>
        <div class="col d-flex justify-content-center align-items-end">
            <div class="topline-search-background" style="position: relative;">
                <input class="topline-search-input" />
                <img src="../assets/magnifying_glass.png" style="position: absolute;top: 2px; left: 5px;" >
                <img src="../assets/filters.png" style="position: absolute;top: 2px; right: 20px;" >
            </div>
        </div>
        <div class="col d-flex justify-content-end align-items-center">
            <div class="topline-account">
                <img src="../assets/profile_picture.png" />
            </div>
        </div>
    </div>
    <div class="d-flex flex-row">
        <button class="col topline-category-button d-flex flex-row align-items-center justify-content-center" style="background-color: #B2EDB6;">
            <div>Administratif</div>
        </button>
        <button class="col topline-category-button d-flex flex-row align-items-center justify-content-center" style="background-color: #FFACA8;">
            <div>Fiscalité</div>
        </button>
        <button class="col topline-category-button d-flex flex-row align-items-center justify-content-center" style="background-color: #FFFF78;">
            <div>Bancaire</div>
        </button>
        <button class="col topline-category-button d-flex flex-row align-items-center justify-content-center" style="background-color: #6BE67D;">
            <div>Juridique</div>
        </button>
        <button class="col topline-category-button d-flex flex-row align-items-center justify-content-center" style="background-color: #9BE3D9;">
            <div>Aides financières</div>
        </button>

    </div>
</template>

<script>
export default {
    name: "LandingTopline",
    components: {},
    data() {
        return {}
    },
    methods: {}
}
</script>

<style scoped>
#topline-head {
    height: 164px;
    margin: 18px 28px 0px 18px;
}

.topline-logo {
    width: 299px;
    height: 129px;
}


.topline-search-background {
    width: 443px;
    height: 45px;
    border-radius: 17px;
    border: 1px solid #000;
    background: #FFF8C8;
    position: relative;
    margin-bottom: 10px;
}

.topline-search-input {
    width: 443px;
    height: 45px;
    border-radius: 17px;
    border: 1px solid #000;
    background: #FFF;
    position: absolute;
    bottom: 6px;
    right: 8px;
}

.topline-account {
    width: 126px;
    height: 90px;
}

.topline-category-button {
    border: none;
    height: 59px;
    color: #1A0B00;
    text-align: center;
    font-family: Montserrat;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}
</style>